package com.ruoyi.nanjing.service;

import java.util.List;
import java.util.Map;

import com.ruoyi.nanjing.domain.*;

/**
 * 机种类型Service接口
 * 
 * @author limy
 * @date 2021-01-22
 */
public interface ITBdProducttypeService 
{

    /**
     * 查询机种类型列表
     * 
     * @param tBdProducttype 机种类型
     * @return 机种类型集合
     */
    public List<TBdProducttype> selectTBdProducttypeList(TBdProducttype tBdProducttype);


//    查询最新添加的机种信息
    List<TBdProducttype> selectTBdProducttype();

    List<ProRpList> selectProLists(Map map);

    List<QtProduct> selectQtProductList(Map map);

    List<QsProduct> selectQsProductList(Map map);

    List<QsProduct> selectQ1ProductList(Map map);

    List<QsStation> selectStationQs(QsStation qsStation);

    List<QsStation> selectAllQs(Map map);

    List<QsStation> selectNodeQs(Map map);

    List<Map<String,Object>> selectReport(Map map);
}
